KCACHEGRIND(1)

NAME
kcachegrind - a visualisation tool for valgrind profiling output

SYNOPSIS
kcachegrind [ generic-options ] [ -r exec ] [ trace-file ]

DESCRIPTION
KCachegrind is a visualisation tool for the profiling data generated by calltree, a profiling skin for valgrind. Applications can be profiled using calltree without being recompiled, and shared libraries and plugin architectures are supported.

For visualising the output from other profiling tools, several converters are available. On Debian systems these can be found in the kcachegrind-converters package.

This application is part of the KDE Software Development Kit.

OPTIONS
Below are the kcachegrind-specific options. For a full summary of options, run kcachegrind --help.

-r exec
    Run the program exec under cachegrind.

trace-file
    Visualise data from the given trace.

SEE ALSO
calltree(1), dprof2calltree(1), memprof2calltree(1), op2calltree(1), pprof2calltree(1), valgrind(1).

Full user documentation is available through the KDE Help Centre. You can also enter the URL help:/kcachegrind/ directly into konqueror or you can run `khelpcenter help:/kcachegrind/' from the command-line.

If the KDE Help Centre is not installed then you can install the package kdesdk-doc-html and read this documentation in HTML format from /usr/share/doc/kde/HTML/en/kcachegrind/.

AUTHOR
KCachegrind was written by Josef Weidendorfer <Josef.Weidendorfer@gmx.de>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).